## twidge 1.0.8.1

=== doc/SConstruct ===
# Copyright (C) 2004-2006 John Goerzen <jgoerzen@complete.org>
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

env = Environment()
env.Export("env")
env.Append(MASTERBASE = 'twidge', TOPNODE = 'twidge', DOINDEX = 1,
        PDFARGS = '-s local=printlocal')

execfile('sgml-common/SConstruct')

manpages = []
for manpage in ['twidge']:
    manpages.append(env.MAN('%s.1' % manpage, 'man.%s.sgml' % manpage))
env.Alias('manpages', manpages)

## twidge 0.99.4

=== debian/changelog ===
twidge (0.99.4) unstable; urgency=low

  * Added build-dep on libghc6-hsh-dev.  Closes: #506543.
  * Tightened build-deps.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 03:33:17 -0600

twidge (0.99.3) unstable; urgency=low

  * Added official "source" paramter from Twitter.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 14 Sep 2008 22:10:07 -0500

twidge (0.99.2) unstable; urgency=low

  * Now properly outputs UTF-8 strings for Unicode characters.
  * Removed incompatibility with newer Cabal versions.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 Sep 2008 09:21:12 -0500

twidge (0.99.1) unstable; urgency=low

  * Fixed a logic bug that made -su options not work after the first time.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 13 Sep 2008 08:45:24 -0500

twidge (0.99.0) unstable; urgency=low

  * Initial release.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jul 2008 10:28:15 -0500

=== debian/control ===
Source: twidge
Section: utils
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3)
Standards-Version: 3.7.2
Homepage: http://software.complete.org/twidge
Vcs-Browser: http://git.complete.org/twidge
Vcs-Git: git://git.complete.org/twidge

Package: twidge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${haskell:Depends}, curl
Description: Unix Command-Line Twitter and Identica Client
 twidge is a client for microblogging sites such as Twitter and
 Identica (identi.ca). Microblogging sites let you post short
 one-paragraph updates, follow the updates that your friends post, and
 interact with everyone in the site in a conversation style.
 .
 twidge is a client to make working with microblogging sites faster
 and easier. It is extremely versatile, and can be customized to work
 the way you want to work, and combined with other tools to do just
 about anything.
 .
 twidge can be used quite nicely interactively from the shell. It is
 useful directly as-is, and with simple shell aliases can make a
 highly efficient system to do exactly what you want. It is perfectly
 capable of being your only client for microblogging.
 .
 twidge also can be used in an automated way, via cron(1), or it can
 even integrate with your email system.
 .
 A full list of twidge features, along with numerous suggestions on
 how to use it, can be found at the twidge website at
 http://software.complete.org/twidge.

## twidge 1.0.2

=== debian/changelog ===
twidge (1.0.2) unstable; urgency=high

  * Corrected bug in 1.0.1 that prevented any updates from posting properly.
  * Fixed the withBitly flag support.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 03 Jun 2010 00:08:34 -0500

twidge (1.0.1) unstable; urgency=medium

  * New upstream release.
  * Twitter is dropping support for HTTP basic auth.  Versions of twidge
    prior to 1.0.0 will soon fail to work.  This version switches
    using oAuth to maintain compatibility.  Users will need to re-run
    twidge setup to complete the switch.
    + Code relevant to #521616 has been removed.  Closes: #521616.
    + New HTTP client in place.  Closes: #535766.
  * New commands to support new-style retweets: lsrt, lsrtreplis, lsrtarchive.
    Closes: #583999.
  * lsarchive gained -U to let you specify which user's posts to see.
  * New support for URL shorteners: is.gd, bit.ly, j.mp.
    Patch from Robin Green.
  * Added --width option to ls commands.
    Patch from Robin Green.
  * Corrected a spelling mistake.  Closes: #521616.
  * Added support for blocking and unblocking.
  * Only shorten URLs when needed.  Patch from Eric Y. Kow.
    Closes: #567174.
  * Added support to set an in_reply_to_status_id via the -i argument
    to update.
  * Provide correct UTF-8 output.
  * New config file options: savelast, alias section, oauth-related URLs,
  * Added bash completion script from Ernesto Hernández-Novich.
  * ACK NMU.  Closes: #550657.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 02 Jun 2010 03:34:01 -0500

twidge (0.99.4+nmu1) unstable; urgency=low

  * Non-maintainer upload needed to address xpdf's RC bugs:
  * Perform the PDF generation with pdftotext from poppler-utils
    instead of xpdf-utils (Closes: #550657)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 02 Nov 2009 22:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, xpdf-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3)
+Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3), libghc6-hoauth-dev
 Standards-Version: 3.7.2
 Homepage: http://software.complete.org/twidge
 Vcs-Browser: http://git.complete.org/twidge

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	cp -r doc debian/tmp-doc
	cd debian/tmp-doc && scons pdf
	cd debian/tmp-doc && scons manpages
	#docbook-to-man debian/twidge.sgml > hpodder.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean-code
	-rm -rf debian/tmp-doc

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/twidge.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/twidge
	cp dist/build/twidge/twidge debian/twidge/usr/bin/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/tmp-doc/twidge.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## twidge 1.0.6

=== debian/changelog ===
twidge (1.0.6) unstable; urgency=low

  * Twitter invalidated the twidge API key because it became publicly
    known (sigh).  Have now obfuscated it enough for them.
    twidge will be broken by default without this fix.
    Closes: #601427.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 25 Oct 2010 20:28:16 -0500

twidge (1.0.5) unstable; urgency=high

  * Twitter has dropped support for http://twitter.com URLs on some
    servers, and now generally requires http://api.twitter.com/1.  This
    required some minor changes to configuration code.  Twitter uses geoIP
    and some of there servers work fine with 1.0.2 while others don't.
    This version will work with all of them.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 01 Sep 2010 00:09:38 -0500

## twidge 1.0.8.1

=== debian/changelog ===
twidge (1.0.8.1) unstable; urgency=low

  * Clean up a debian packaging bug introduced in 3rd-party commit
    880982d2bc2a9dbbff2893fa16ceb04ce32f6356.  Package now contains
    all the files it should again.  Closes: #609139.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 06 Jan 2011 22:17:54 -0600

twidge (1.0.8) unstable; urgency=low

  * Accept parens as part of URLs.  CLoses: #608978.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 05 Jan 2011 00:12:38 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3), libghc6-hoauth-dev
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3), libghc6-hoauth-dev
+Standards-Version: 3.9.1
 Homepage: http://software.complete.org/twidge
 Vcs-Browser: http://git.complete.org/twidge
 Vcs-Git: git://git.complete.org/twidge

## twidge 1.0.8.1+nmu1

=== debian/changelog ===
twidge (1.0.8.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build deps to refer to ghc instead of ghc6 (Closes: #629725)
  * Work on newer HaXml in Debian 

 -- Iain Lane <laney@debian.org>  Thu, 28 Jul 2011 13:15:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 7), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc6 (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc6-missingh-dev (>= 1.0.0), libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-haxml-dev (>= 1.13.2-3), libghc6-filepath-dev, libghc6-configfile-dev (>= 1.0.4.5), libghc6-hslogger-dev (>= 1.0.7.1), libghc6-regex-posix-dev, libghc6-utf8-string-dev, libghc6-hsh-dev (>= 1.2.6.3), libghc6-hoauth-dev
+Build-Depends: debhelper (>= 7), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.0), libghc-network-dev, libghc-unix-dev, libghc-mtl-dev, libghc-haxml-dev (>= 1.20), libghc-filepath-dev, libghc-configfile-dev (>= 1.0.4.5), libghc-hslogger-dev (>= 1.0.7.1), libghc-regex-posix-dev, libghc-utf8-string-dev, libghc-hsh-dev (>= 1.2.6.3), libghc-hoauth-dev
 Standards-Version: 3.9.1
 Homepage: http://software.complete.org/twidge
 Vcs-Browser: http://git.complete.org/twidge

## twidge 1.1.0

=== Makefile ===
# arch-tag: Primary makefile
# Copyright (c) 2004-2006 John Goerzen
#

all: setup			# GHC build
	./setup configure
	./setup build

doc: lib/dfs.html/index.html lib/dfs.pdf lib/dfs.ps lib/dfs.txt

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.lhs twidge.cabal
	ghc -package Cabal Setup.lhs -o setup

clean: clean-code clean-doc

clean-code:
	-./setup clean
	-cd libsrc && ../setup clean
	-rm -rf dist libsrc/dist *.ho *.hi *.o *.a setup *~
	-rm -f `find . -name "*~"` `find . -name "*.o"`
	-rm -f `find . -name "*.cm*"`

clean-doc:
	-cd doc && scons -c && scons -c html pdf text ps
	-rm -rf doc/.sconsign* .depend test
	-rm -f doc/manpage* doc/*.1

=== debian/changelog ===
twidge (1.1.0) unstable; urgency=low

  * Update to new twitter API.  Thanks to Adam Fitzpatrick for the patch.
    Closes: #712223, #632259.
  * Updated to newer hoauth.  Now buildable in sid again.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 14 Jun 2013 00:30:27 -0500

twidge (1.0.9) unstable; urgency=low

  * Correctly handle UTF-8 updates given on the command line.
    Closes: #611775.
  * Correct VCS and homepage URLs.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Feb 2011 13:26:51 -0600

## twidge 1.1.2

=== doc/sgml-common/SConstruct ===
# vim: set filetype=python :
# arch-tag: general-purpose SCons build file for sgml-common

from glob import glob
import os, re

############################################################
# Setup
############################################################

SConsignFile('.sconsign-master')
#Import('env')
d = env.Dictionary()
if not 'JADE' in d:
    d['JADE'] = 'jade'
if not 'INDEXNODE' in d:
    d['INDEXNODE'] = 'ch.index'
if not 'GTKIMGPATH' in d:
    d['GTKIMGPATH'] = '/usr/share/gtk-doc/data'
if not 'PS2EPSI' in d:
    d['PS2EPSI'] = '../sgml-common/ps2epsi'

def removeindex(l):
    while 'index/index.sgml' in l:
        l.remove('index/index.sgml')

master = d['MASTERBASE'] 
mastersgml = master + '.sgml'
sources = [mastersgml] + glob('*/*.sgml') + glob('*/*/*.sgml')
removeindex(sources)
db2htmlcmd = 'docbook-2-html -D $JADE ${HTMLARGS}  ${SOURCE}'
db2htmlindexcmd = 'docbook-2-html -D $JADE -O -V -O html-index ${HTMLARGS} ${SOURCE}'

##################################################
# SCANNERS
##################################################
def recursescan(scanner, node, env):
    result = scanner(node, env) 
    retval = []
    for item in result:
        retval.append(item)
        retval.extend(recursescan(scanner, item, env))
    return retval

SGML_includes_re = re.compile(r'<!ENTITY[^>]+SYSTEM[^>]+"(.+)"', re.M)
def SGML_includes_scan(node, env, path):
    ret = SGML_includes_re.findall(node.get_contents())
    removeindex(ret)
    return ret

SGML_includes_scanner = Scanner(name = 'SGML_includes',
    function = SGML_includes_scan, recursive = 1, skeys = ['.sgml', '.ent'])

SGML_image_pdf_re = re.compile(r'<(graphic|imagedata).+?fileref="([^"]+\.pdf)"', re.S)
SGML_image_png_re = re.compile(r'<(graphic|imagedata).+?fileref="([^"]+\.png)"', re.S)
def SGML_image_scanner(node, env, path, arg):
    root, ext = os.path.splitext(str(node))
    contents = node.get_contents()
    return SGML_includes_scan(node, env, path) + \
            [os.getcwd() + '/' + x[1] for x in arg.findall(contents)]

SGML_pdf_scanner = Scanner(name = 'SGML_pdf',
         function = SGML_image_scanner, argument = SGML_image_pdf_re,
         recursive = 1)
SGML_png_scanner = Scanner(name = 'SGML_png',
        function = SGML_image_scanner, argument = SGML_image_png_re,
        recursive = 1)

##################################################
# BUILDERS
##################################################

#### PLAIN TEXT
Btxt = Builder(action="docbook2txt $SOURCE", src_suffix='.sgml', suffix='.txt')

#### PDF / POSTSCRIPT
Bpdf = Builder(action="docbook-2-pdf -D ${JADE} -q -O -V -O paper-size=Letter ${PDFARGS} ${SOURCE}",
        src_suffix='.sgml', suffix='.pdf')
Bpdf2ps = Builder(action="pdftops ${SOURCE}", src_suffix='.pdf', suffix='.ps')

#### MAN PAGES
# FIXME: test this
Bman = Builder(action="docbook2man $SOURCE", src_suffix='.sgml', suffix='.1')

#### HTML
Bhtml = Builder(action = [ \
        'if test -d ${TARGET.dir} ; then rm -r ${TARGET.dir} ; fi',
        'mkdir ${TARGET.dir}',
        db2htmlcmd,
        'mv ${MASTERBASE}-html/* ${TARGET.dir}/',
        'rmdir ${MASTERBASE}-html',
        'ln -s ${TOPNODE}.html ${TARGET.dir}/index.html',
        'cp ${GTKIMGPATH}/*.png ${TARGET.dir}/'])

#### PNG
Bepip2png = Builder(action = 'gs -q -dTextAlphaBits=4 -dGraphicsAlphaBits=4 ' +\
        '-r90 -dBATCH -dNOPAUSE -dSAFER -sOutputFile=$TARGET ' + \
        '-sDEVICE=png16m $SOURCE -c showpage', suffix='.png', src_suffix='.pngepi')

#### EPI from PS
def getpagenumfromname(target, source, env, for_signature):
    return re.search('^.*_(\d+)\.(png){0,1}epi$', str(target[0])).group(1)
d['GETPAGE'] = getpagenumfromname

Aps2epi = Action(['psselect -q ${GETPAGE} $SOURCE temp.ps',
        'psresize -w ${WIDTH} -h ${HEIGHT} temp.ps temp2.ps',
        '$PS2EPSI temp2.ps $TARGET',
        'rm temp.ps temp2.ps'])
Bps2epi = Builder(action=Aps2epi, src_suffix='.ps', suffix='.epi')
Bps2epip = Builder(action=Aps2epi, src_suffix='.ps', suffix='.pngepi')
Bepi2pdf = Builder(action="epstopdf -o=${TARGET} ${SOURCE}", suffix='.pdf',
        src_suffix='.epi')

#### PLUCKER
Bplucker = Builder(action = 'plucker-build --bpp=4 --compression=zlib ' + \
        '--doc-name="${MASTERBASE}" -H file:${SOURCE.abspath} -M 5 ' + \
        '--maxheight=320 --maxwidth=310 --staybelow=file:`pwd`/${SOURCE.dir} ' + \
        '--title="${MASTERBASE}" -p . -f ${MASTERBASE}')

##################################################
# General setup
##################################################

env.Append(BUILDERS = {'Text': Btxt, 'PDF2PS': Bpdf2ps, 'PDF': Bpdf, 'HTML': Bhtml,
        'Plucker': Bplucker, 'PS2EPI': Bps2epi, 'PS2EPIP': Bps2epip,
        'EPI2PDF': Bepi2pdf, 'EPIP2PNG': Bepip2png, 'MAN': Bman})

#### INDEX GENERATION
if 'DOINDEX' in d:
    Bindex = Builder(action = ['if test -d ${TARGET.dir}  ; then rm -r ${TARGET.dir} ; fi',
        "mkdir ${TARGET.dir}",
        "collateindex.pl -i $INDEXNODE -N -o $TARGET",
        db2htmlindexcmd,
        "mv ${MASTERBASE}-html/HTML.index ${TARGET.dir}/",
        "rm -r ${MASTERBASE}-html",
        "collateindex.pl -i $INDEXNODE -g -o $TARGET ${TARGET.dir}/HTML.index"])
    env['BUILDERS']['Index'] = Bindex
    index = env.Index('index/index.sgml', mastersgml)
    env.Depends(index, sources)
    env.Clean(index, 'index')
    deps = sources + [index]
else:
    deps = sources

##################################################
# BUILD RULES
###################################################
# Text
text = env.Text(mastersgml)
env.Depends(text, deps)
env.Alias('text', text)

# PDF
pdfsgml = File(mastersgml)
pdf = env.PDF(pdfsgml)
figsindoc = [x for x in recursescan(SGML_pdf_scanner, pdfsgml, env) if str(x).endswith('.pdf')]
epipdf = []
for file in figsindoc:
    pdfname = re.sub('_\d+\.pdf$', '.pdf', str(file))
    if pdfname == str(file):
        # This is not a filename that fits our pattern; add unmodified.
        epipdf.append(file)
        continue
    psfile = env.PDF2PS(source = pdfname)
    epifile = env.PS2EPI(str(file).replace(".pdf", ".epi"), psfile,
            WIDTH='6.375in', HEIGHT='8.25in')
    epipdf.append(env.EPI2PDF(source = epifile))

env.Depends(pdf, deps)
env.Depends(pdf, epipdf)
env.Alias('pdf', pdf)
env.Clean(pdf, ['jadetex.cfg', '${MASTERBASE}.aux', '${MASTERBASE}.dvi',
        '${MASTERBASE}.jtex', '${MASTERBASE}.log', '${MASTERBASE}.out',
        'jade-out.fot'])

# PS
ps = env.PDF2PS(source = pdf)
env.Alias('ps', ps)

# HTML
htmlsgml = File(mastersgml)
buildhtml = env.HTML('html/index.html', htmlsgml)
figsindoc = [x for x in recursescan(SGML_png_scanner, htmlsgml, env) if str(x).endswith('.png')]
epipng = []
for file in figsindoc:
    pdfname = re.sub('_\d+\.png$', '.pdf', str(file))
    if pdfname == str(file):
        # This is not a filename that fits our pattern; add unmodified. 
        epipng.append(file)
        continue
    psfile = env.PDF2PS(source = pdfname)
    epifile = env.PS2EPIP(str(file).replace(".png", ".pngepi"), psfile,
            WIDTH='8.5in', HEIGHT='11in')
    epipng.append(env.EPIP2PNG(source = epifile))

env.Depends(buildhtml, epipng)
env.Depends(buildhtml, deps)
pnginstalls = env.InstallAs(['html/' + str(x) for x in epipng], epipng)
env.Depends(pnginstalls, buildhtml)
html = env.Alias('html', buildhtml)
html = env.Alias('html', pnginstalls)
env.Clean(buildhtml, 'html')

# Plucker
plucker = env.Plucker(master + '.pdb', 'html/index.html')
env.Alias('plucker', plucker)

env.Default(html)

=== debian/changelog ===
twidge (1.1.2) unstable; urgency=medium

  * Fix mail generation for tweets containing \n.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Jun 2014 12:45:34 -0500

twidge (1.1.1) unstable; urgency=medium

  * Relax aeson upper bound.  Closes: #746110.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Jun 2014 10:54:29 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 7), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.0), libghc-network-dev, libghc-unix-dev, libghc-mtl-dev, libghc-haxml-dev (>= 1.20), libghc-filepath-dev, libghc-configfile-dev (>= 1.0.4.5), libghc-hslogger-dev (>= 1.0.7.1), libghc-regex-posix-dev, libghc-utf8-string-dev, libghc-hsh-dev (>= 1.2.6.3), libghc-hoauth-dev
+Build-Depends: debhelper (>= 7), groff, docbook-utils, jade, lynx, scons, poppler-utils, sgml2x, gtk-doc-tools, ghc (>= 6.8.2), haskell-devscripts (>= 0.6.6), libghc-missingh-dev (>= 1.0.0), libghc-network-dev, libghc-unix-dev, libghc-mtl-dev, libghc-aeson-dev (>= 0.6.1.0), libghc-filepath-dev, libghc-configfile-dev (>= 1.0.4.5), libghc-hslogger-dev (>= 1.0.7.1), libghc-regex-posix-dev, libghc-utf8-string-dev, libghc-hsh-dev (>= 1.2.6.3), libghc-hoauth-dev
 Standards-Version: 3.9.1
-Homepage: http://software.complete.org/twidge
-Vcs-Browser: http://git.complete.org/twidge
-Vcs-Git: git://git.complete.org/twidge
+Homepage: https://github.com/jgoerzen/twidge/wiki/
+Vcs-Browser: https://github.com/jgoerzen/twidge
+Vcs-Git: git://github.com/jgoerzen/twidge.git
 
 Package: twidge
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -46,22 +46,19 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean-code
+	dh_auto_clean -- clean-code
+	#	-$(MAKE) clean-code
 	-rm -rf debian/tmp-doc
-
 	dh_clean 
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the package into debian/twidge.
-	#$(MAKE) install DESTDIR=$(CURDIR)/debian/twidge
 	cp dist/build/twidge/twidge debian/twidge/usr/bin/
+	dh_install
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -74,24 +71,11 @@
 	dh_installchangelogs 
 	dh_installdocs
 	dh_installexamples
-#	dh_install
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_python
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
 	dh_installman debian/tmp-doc/twidge.1
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
